{
    "[css]": {
        "editor.suggest.insertMode": "replace",
        "editor.tabSize": 2
    },
    "[django-html]": {
        "editor.insertSpaces": true,
        "editor.quickSuggestions": {
            "comments": true,
            "other": true,
            "strings": true
        },
        "editor.suggest.insertMode": "replace",
        "editor.tabSize": 2
    },
    "[dockercompose]": {
        "breadcrumbs.showConstants": true,
        "editor.quickSuggestions": {
            "comments": false,
            "other": true,
            "strings": true
        },
        "editor.tabSize": 2
    },
    "[helm]": {
        "editor.insertSpaces": true,
        "editor.tabSize": 2,
        "rewrap.autoWrap.enabled": true,
        "rewrap.wholeComment": true,
        "rewrap.wrappingColumn": 73
    },
    "[html]": {
        "editor.insertSpaces": true,
        "editor.suggest.insertMode": "replace",
        "editor.tabSize": 2
    },
    "[javascript]": {
        "editor.maxTokenizationLineLength": 2500,
        "editor.tabSize": 2
    },
    "[markdown]": {
        "editor.defaultFormatter": "yzhang.markdown-all-in-one",
        "editor.quickSuggestions": {
            "comments": "off",
            "other": "off",
            "strings": "off"
        },
        "editor.tabSize": 4,
        "editor.wordWrap": "off"
    },
    "[python]": {
        "editor.codeActionsOnSave": {
            "source.organizeImports": "always"
        },
        "editor.defaultFormatter": "charliermarsh.ruff",
        "editor.formatOnSave": true,
        "editor.formatOnType": true
    },
    "[shellscript]": {
        "editor.tabSize": 2,
        "files.eol": "\n"
    },
    "[terraform]": {
        "editor.insertSpaces": true,
        "editor.tabSize": 2
    },
    "[typescript]": {
        "editor.maxTokenizationLineLength": 2500,
        "editor.tabSize": 2
    },
    "[vue]": {
        "editor.insertSpaces": true,
        "editor.tabSize": 2,
        "gitlens.codeLens.scopes": [
            "document"
        ]
    },
    "[yaml]": {
        "editor.tabSize": 2
    },
    "cSpell.userWords": [
        "Kubernetes",
        "clamd",
        "rtype"
    ],
}